## GstCpu

GstCpu — Descripe CPU features

## Synopsis

    enum        GstCPUFlags;
    GstCPUFlags gst_cpu_get_flags               (void);

## Description

This module can be used when developing plugins. It is typically used to enable special optimisations based on the features of the CPU.

You'll get a bitmask of flags with `gst_cpu_get_flags()`.

## Details

### enum GstCPUFlags

    typedef enum {
      GST_CPU_FLAG_MMX      = (1<<0),
      GST_CPU_FLAG_SSE      = (1<<1),
      GST_CPU_FLAG_MMXEXT   = (1<<2),
      GST_CPU_FLAG_3DNOW    = (1<<3)
    } GstCPUFlags;

Flags that represent cpu capabilities

`GST_CPU_FLAG_MMX` | The cpu is mmx enabled
`GST_CPU_FLAG_SSE` | The cpu is sse enabled
`GST_CPU_FLAG_MMXEXT` | The cpu has extended mmx instructions
`GST_CPU_FLAG_3DNOW` | The cpu is 3DNOW enabled

### gst_cpu_get_flags ()

    GstCPUFlags gst_cpu_get_flags               (void);

Request a set of bits specifiying the features of the CPU.

Returns : | the features of the CPU